#pragma once
class MyClass
{
public:
	MyClass(void);
    template <class T> void func(T x);
};

/*
#include <iostream>
#include <iomanip>
template <class T> void MyClass::func(T x)
{
    std::cout << "in func(" << typeid(x).name() << "): "
              << x << std::endl;
}
*/